tech-userlevel archive

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index][Old Index]

Re: obsoleting shlibs - what's the plan

On Wed, Mar 26, 2008 at 10:53:02AM -0400, Greg Troxel wrote:

> I updated using BUILD-NetBSD from etcmanage, and then ran 'postinstall
> fix obsolete'.  It deleted libraries that I think it shouldn't have:

> So, I think these shouldn't have been marked obsolete, and that in
> general that we should not obsolete previous major shlibs, just minor
> ones (e.g., if .so.3.1 arrives we can remove .so.3.0, but not .so.2.1).

I believe we should, these old and new libraries do not coexist nicely.

                                Michael van Elst
                                "A potential Snark may lurk in every tree."

Home | Main Index | Thread Index | Old Index